#define	STRICT
#include	<windows.h>
#include	<commctrl.h>
#include	<tchar.h>
#include	"appmain.h"

DWORD	AppVersion = 3 ;
DWORD	DllVersion = 0 ;
LPCTSTR	g_szArgs = 0 ;

int WINAPI
#ifdef	_WIN32_WCE
WinMain( HINSTANCE hThisInst, HINSTANCE hPrevInst,
		 LPTSTR lpszArgs, int nWinMode )
#else	/* _WIN32_WCE */
WinMain( HINSTANCE hThisInst, HINSTANCE hPrevInst,
		 LPSTR lpszArgs, int nWinMode )
#endif	/* _WIN32_WCE */
{
	HWND	hWnd ;

	/* 既に起動されているかどうかチェックする */
	hWnd = FindWindow( szTitleName, NULL ) ;
	if ( hWnd != NULL ) {
		/* 起動済みの方をアクティブにする */
		SetForegroundWindow( hWnd ) ;
		return TRUE ;
	}

#ifdef	_WIN32_WCE
	InitCommonControls() ;
#endif	/* _WIN32_WCE */

	g_szArgs = (LPCTSTR) lpszArgs ;

	BOOL		exitVal = FALSE ;
	MainApp		*pApp = new MainApp() ;
	if ( !pApp ) {
		goto exit ;
	}
	if ( pApp->Create( hThisInst ) ) {
		exitVal = pApp->Run() ;
	}
	delete pApp ;

exit:
	return exitVal ;
}
